/*******************************************************************************
* (c) Copyright 2014 Biricha Digital Power Limited
* AUTHOR        : Biricha Digital Power Ltd
* CREATION DATE : 03/07/2014
* COPYRIGHT     : Copyright Biricha Digital Power Limited 2014. All rights
*                 reserved. Reproduction in whole or part is prohibited without
*                 written consent of the copyright owner. You may receive a free
*                 commercial license by contacting Biricha Digital. Do not
*                 remove or change this copyright notice.
*
*******************************************************************************/

#ifndef CSL_H
#define	CSL_H


#include <stdint.h>          /* For uint16_t definition                       */
#include <stdbool.h>         /* For true/false definition                     */
#include <xc.h>
#include "smps_control.h"    /* Pull in Microchip's 2p2z / 3p3z controllers   */

#define max(a,b) ((a)<(b)?(b):(a))
#define min(a,b) ((a)<(b)?(a):(b))

#define FCY 40000000LL

#ifdef	__cplusplus
extern "C" {
#endif


#include "bdp_sys.h"
#include "bdp_traps.h"

#include "bdp_pwm.h"
#include "bdp_adc.h"
#include "bdp_cmp.h"
#include "bdp_gpio.h"
#include "bdp_ctrl.h"



#ifdef	__cplusplus
}
#endif

#endif	/* CSL_H */

