/*******************************************************************************
* (c) Copyright 2014 Biricha Digital Power Limited
* AUTHOR        : Biricha Digital Power Ltd
* CREATION DATE : 03/07/2014
* COPYRIGHT     : Copyright Biricha Digital Power Limited 2014. All rights
*                 reserved. Reproduction in whole or part is prohibited without
*                 written consent of the copyright owner. You may receive a free
*                 commercial license by contacting Biricha Digital. Do not
*                 remove or change this copyright notice.
*
*******************************************************************************/

#include "bdp.h"

void GPIO_config(void)
{
#if 0  
    TRISBbits.TRISB14 = 0; //boost switch
    LATBbits.LATB14   = 0; //off

    TRISBbits.TRISB13  = 0; //buck load
    LATBbits.LATB13    = 0; //off -inverted by mosfet drivers

    TRISBbits.TRISB6  = 0;
    TRISBbits.TRISB12 = 0;
    LATBbits.LATB12   = 0; //turn off load
#endif
    //SetGpioInt(0);
    //SetGpioLoad(0);
}

uint16_t GPIO_getB_PushButtonDebounced( uint16_t rbN, uint16_t msDelay )
{
    uint16_t count_val = 0;
    uint16_t count_max = msDelay * DB_COUNT;

    if ((PORTB&(1<<rbN))==0)  // if pressed
    {
        while ((PORTB&(1<<rbN))==0) // Wait for key release

        count_val = 0;
        while (count_val < count_max)
        {
            count_val++;
        }

        return 1;
    } else {
        return 0;
    }
}

#include "bdp_cmp.c"
