/*******************************************************************************
* (c) Copyright 2014 Biricha Digital Power Limited
* AUTHOR        : Biricha Digital Power Ltd
* CREATION DATE : 03/07/2014
* COPYRIGHT     : Copyright Biricha Digital Power Limited 2014. All rights
*                 reserved. Reproduction in whole or part is prohibited without
*                 written consent of the copyright owner. You may receive a free
*                 commercial license by contacting Biricha Digital. Do not
*                 remove or change this copyright notice.
*
*******************************************************************************/

#ifndef BDP_GPIO_H
#define	BDP_GPIO_H

#ifdef	__cplusplus
extern "C" {
#endif

#define DB_COUNT (1000LL)*(FCY)/(8LL*1000000LL) // Counter that gives us approx 1ms delay

extern void GPIO_config(void);
extern uint16_t GPIO_getB_PushButtonDebounced( uint16_t rbN, uint16_t msDelay );

#ifdef	__cplusplus
}
#endif

#endif	/* BDP_GPIO_H */

